---
type: api
title: Search for saved objects
description: WARNING: This API is deprecated. This is a legacy Saved Objects API and may be removed in a future version of Kibana.
url: https://www.elastic.co/elastic/docs-builder/docs/4493/api/doc/kibana/v0/operation/operation-get-saved-objects-find
resource: https://www.elastic.co/elastic/docs-builder/docs/4493/api/doc/kibana/v0/operation/operation-get-saved-objects-find
products:
  - Kibana
---

# Search for saved objects

deprecated

- Server: `https://{kibana_url}`

## Paths

- `GET` `/api/saved_objects/_find`

## Description

WARNING: This API is deprecated. This is a legacy Saved Objects API and may be removed in a future version of Kibana.

Searches for Kibana saved objects.

For transferring or backing up saved objects, prefer the export API (`POST /api/saved_objects/_export`).

## Authentication

- Api key: `Authorization: <value>`
  These APIs use key-based authentication. You must create an API key and use the encoded value in the request header. For example: `Authorization: ApiKey base64AccessApiKey`
- Basic: `Authorization: Basic <credentials>`

## Query string parameters

- `per_page` (number · min: 0 · default: 20) — optional
  The number of items per page.
- `page` (number · min: 0 · default: 1) — optional
  The page index to return.
- `type` (string[] · max items: 100) — required
  The saved object type or types to search for. Use multiple `type` values to search across types.
- `search` (string · max length: 10000) — optional
  A text search string.
- `default_search_operator` (enum · default: OR) — optional
  The boolean operator to use when combining multiple values.
  Values: `OR`, `AND`
- `search_fields` (string[] · max items: 100) — optional
  The fields to search on.
- `sort_field` (string · max length: 1024) — optional
  The field to sort on.
- `has_reference` (union anyOf) — optional
  Return only saved objects that have a reference to the specified saved object(s).
  `object` or `object[]`
  - `id` (string · max length: 512) — required
  - `type` (string · max length: 256) — required
- `has_reference_operator` (enum · default: OR) — optional
  The boolean operator to use when combining multiple values.
  Values: `OR`, `AND`
- `has_no_reference` (union anyOf) — optional
  Return only saved objects that do not have a reference to the specified saved object(s).
  `object` or `object[]`
  - `id` (string · max length: 512) — required
  - `type` (string · max length: 256) — required
- `has_no_reference_operator` (enum · default: OR) — optional
  The boolean operator to use when combining multiple values.
  Values: `OR`, `AND`
- `fields` (string[] · max items: 100) — optional
  The fields to return for each saved object.
- `filter` (string · max length: 10000) — optional
  A KQL filter to apply to the search.
- `aggs` (string · max length: 100000) — optional
  Aggregations as a JSON string.
- `namespaces` (string[] · max items: 100) — optional
  The namespaces (spaces) to search in.

## Responses

#### `200`

A search response.

`application/json`

#### `400`

A bad request.

`application/json`

## Code examples

#### Console

```console
GET kbn://api/saved_objects/_find?type=dashboard&fields=title&per_page=20&page=1
```

#### curl

```curl
curl \
  -X GET "${KIBANA_URL}/api/saved_objects/_find?type=dashboard&fields=title&per_page=20&page=1" \
  -H "Authorization: ApiKey ${API_KEY}"
```

## Response examples

#### A page of saved objects

```json
{
  "page": 1,
  "per_page": 20,
  "saved_objects": [
    {
      "attributes": {
        "title": "Example dashboard 1"
      },
      "id": "example-dashboard-1",
      "managed": false,
      "namespaces": [
        "default"
      ],
      "references": [],
      "type": "dashboard",
      "updated_at": "2026-04-17T12:00:00.000Z",
      "version": "WzEsMV0="
    }
  ],
  "total": 1
}
```

#### A bad request error

```json
{
  "error": "Bad Request",
  "message": "This type dashboard is not allowed: Bad Request",
  "statusCode": 400
}
```

